aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--pom.xml2
-rwxr-xr-xsrc/test/resources/http-cache/start_http_cache.sh15
2 files changed, 12 insertions, 5 deletions
diff --git a/pom.xml b/pom.xml
index 4b19b808..11628b7a 100644
--- a/pom.xml
+++ b/pom.xml
@@ -827,7 +827,7 @@
</ports>
<workingDir>/usr/src/http-cache-app</workingDir>
<cmd>
- <shell>./start_http_cache.sh ${http.proxy}</shell>
+ <shell>./start_http_cache.sh ${http.proxy} localhost:${docker.http-cache.port.host}</shell>
</cmd>
</run>
</image>
diff --git a/src/test/resources/http-cache/start_http_cache.sh b/src/test/resources/http-cache/start_http_cache.sh
index 47c3cc87..ea3122fe 100755
--- a/src/test/resources/http-cache/start_http_cache.sh
+++ b/src/test/resources/http-cache/start_http_cache.sh
@@ -22,16 +22,23 @@
# ECOMP is a trademark and service mark of AT&T Intellectual Property.
###
-if [ $# -eq 1 ]
+if [ $# -eq 2 ]
then
- echo 'input parameter is set (proxy http)';
+ echo 'Setting http_proxy and proxyaddress script parameters';
export http_proxy=$1
export https_proxy=$1
+ python_proxyaddress=$2
+ echo 'http_proxy was set to '$http_proxy
+ echo 'python_proxyaddress was set to '$python_proxyaddress
else
- echo 'input parameter is not set (proxy http)';
+ echo 'Required parameters are not set';
+ echo 'Command Format: start_http_cache.sh <http_proxy_adress> <host_running_test:port>';
+ echo ' http_proxy_adress, like http://my.proxy.com:8080 and will be set to http_proxy/https_proxy environment variables';
+ echo ' host_running_test, like localhost:8080 and will be set as --proxyaddress, this is the adress returned by DCAE simulator response';
+ exit 1
fi
echo 'Installing requests packages for Python'
pip install requests
echo 'Executing the Http proxy in Cache mode only'
-python third_party_proxy.py --port 8080 --root /usr/src/http-cache-app/data-cache --proxyaddress localhost:8085
+python third_party_proxy.py --port 8080 --root /usr/src/http-cache-app/data-cache --proxyaddress $python_proxyaddress